language_selector__height = button__height


.language-selector

    // size
    height language_selector__height

    // border
    border 1.5px solid transparent
    border-right none

    // flex container
    display flex
    flex-direction row-reverse
    flex-wrap nowrap
    justify-content flex-start
    align-items stretch


    &--active

        bg_paper()

        // border
        border-color on_paper__grey_text


    &__current-language

        // flex item
        flex-basis auto
        flex-grow 0
        flex-shrink 0

        // distance
        padding-left 7px

        // color
        color on_paper__grey_text

        // cursor
        cursor pointer

        // animation
        transition standard_transition


        ^[0]--active &

            // color
            color paper
            background-color on_paper__grey_text


        &:after

            content ''
            background-image url('../images/language_selector_arrow.svg')

            // display
            display inline-block

            // size
            width 3.5px
            height 9px
            background-size 3.5px 9px

            // distance
            margin-left 3px

            // color
            opacity 0.3

            // animation
            transition standard_transition


            ^[0]--active &

                opacity 0


    &__available-languages

        // flex item
        flex-basis auto
        flex-grow 0
        flex-shrink 0

        // animation
        transition standard_transition
        opacity 0

        // flex container
        display flex
        flex-direction row
        flex-wrap nowrap
        justify-content flex-start
        align-items stretch


        ^[0]--active &

            opacity 1



    &__available-language

        // flex item
        flex-basis auto
        flex-grow 0
        flex-shrink 0

        // distance
        margin-right 10px

        // color
        color on_paper__grey_text

        // animation
        transition standard_transition


        &:first-of-type

            margin-left 10px


        &:hover

            color ink
